<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++;

    Echo "<tr>";
    Echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
    Echo "<td><input type='text' class='form-control form text-right srno' name='srno_$ctr' value='$mctr'></td>";
    Echo "<td>";
    Echo "<input type='text' class='form-control form barcode' name='barcode_$ctr' value=''>";
    Echo "</td>";
    Echo "<td>";
    Echo "<select class='form-control form item fetchpart_$ctr' name='item_$ctr' style='width:100%' required>";
    Echo "<option value=''></option>";
    $gitem = mysqli_query($conn, 'SELECT `code`,`name` FROM `item`  order by name')or die(mysqli_error($conn));
    while ($item = mysqli_fetch_array($gitem)) {
        Echo "<option value='$item[code]'>$item[name]</option>";
    }
    Echo "</select>";
    Echo "<input type='hidden' class='msp' name='msp_$ctr' >";
    Echo "<input type='hidden' class='otprowsucs' name='otprowsucs_$ctr' >";
    Echo "<input type='hidden' class='otpvalue' id='otpvalue_$ctr' name='otpvalue_$ctr' >";
    Echo "</td>";
    Echo "<td>";
    Echo "<select class='form-control form color fetchpart_$ctr' name='color_$ctr' style='width:100%' required>";
    Echo "<option value=''></option>";
    $gcolor = mysqli_query($conn, 'SELECT `code`,`name` FROM `color`  order by name')or die(mysqli_error($conn));
    while ($color = mysqli_fetch_array($gcolor)) {
        Echo "<option value='$color[code]'>$color[name]</option>";
    }
    Echo "</select>";
    Echo "</td>";
//    Echo "<td><input type='text' class='form-control form hsncode'                name='hsncode_$ctr'       value='$tran[hsncode]'  tabindex='-1'></td>";
    Echo "<td><input type='text' class='form-control form text-right qty'      name='qty_$ctr'      value='0'></td>";
//    Echo "<td><input type='text' class='form-control form unit'      name='unit_$ctr'      value=''>";
//    Echo "</td>";
//    Echo "<td><input type='text' class='form-control form text-right mrp'      name='mrp_$ctr'      value='0' readonly></td>";
//    echo "<td><input type='text' class='form-control form text-right ratebfdisc'   name='ratebfdisc_$ctr'   value='0' ></td>";
//    Echo "<td><input type='text' name='discount2_$ctr' class='discount2 form-control text-right  form'  value='0'</td>";
    Echo "<td><input type='text' class='form-control form text-right rate'  id='rate_$ctr'   name='rate_$ctr'     value='0' ></td>";
    Echo "<td><input type='text' class='form-control form text-right amount'   name='amount_$ctr'   value='0' readonly>
         <input type='hidden' class='form-control form text-right mspamount'   name='mspamount_$ctr'   value='0' readonly  tabindex='-1></td>";
//    Echo "<td><input type='text' name='discperc_$ctr' class='discperc form-control text-right  form'  value='0' ></td>";
//    Echo "<td><input type='text' name='discamt_$ctr' class='discamt form-control text-right  form' tabindex='-1' value='0' readonly></td>";
//    Echo "<td><input type='text' name='subtot_$ctr' class='subtot form-control text-right  form' tabindex='-1' value='0' readonly></td>";
//    Echo "<td><input type='text' name='cgstrate_$ctr' class='cgstrate form-control text-right  form' tabindex='-1' value='0' readonly></td>";
//    Echo "<td><input type='text' name='cgstamt_$ctr' class='cgstamt form-control text-right  form' tabindex='-1' value='0' readonly></td>";
//    Echo "<td><input type='text' name='sgstrate_$ctr' class='sgstrate form-control text-right  form' tabindex='-1' value='0' readonly></td>";
//    Echo "<td><input type='text' name='sgstamt_$ctr' class='sgstamt form-control text-right  form' tabindex='-1' value='0' readonly></td>";
//    Echo "<td><input type='text' name='igstrate_$ctr' class='igstrate form-control text-right  form' tabindex='-1' value='0' readonly></td>";
//    Echo "<td><input type='text' name='igstamt_$ctr' class='igstamt form-control text-right  form' tabindex='-1' value='0' readonly></td>";
//    Echo "<td><input type='text' name='total_$ctr' class='total form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    Echo "</tr >";
    $ctr++;
} else {
    echo "ERROR";
}
?>
 